import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import matplotlib.ticker as ticker

plt.rcParams["font.family"] = "Ubuntu"
plt.rcParams["font.size"] = 13
#plt.rcParams["font.weight"] = "bold"

table= pd.read_csv("EdTimcce.csv", delimiter='\t')

rang=table["rang"]
edt=table["edt"]

fig,  ax=plt.subplots()
ax.yaxis.set_minor_locator(ticker.MultipleLocator(1))#espace de 1 pour grille secondaire y
plt.axis([0, 365, -17, 15])
#ax.xaxis.set_ticks([32, 60, 91, 121, 152, 182, 213, 244, 274, 305, 335])
#ax.xaxis.set_ticklabels([])#effacer les nombres des graduations

plt.grid(which='major')
plt.grid(which='minor')
ax.grid(which='major', color='grey')
plt.plot(rang, edt)
plt.title('Équation du temps (min)')

dates=[1, 32, 60, 91, 121, 152, 182, 213, 244, 274, 305, 335]#coordonnées du 1er jour du mois
initiale=["J", "F", "M", "A", "M", "J", "J", "A", "S", "O", "N", "D"]#initiale du mois
plt.xticks(dates, initiale)

#Zones de couleurs :
zero=rang*0
min=np.minimum(edt, zero)
max=np.maximum(edt, zero)
plt.fill_between(rang, min,edt,facecolor='greenyellow', alpha=0.2)
plt.fill_between(rang, edt,max, facecolor='darkorange', alpha=0.2)

plt.plot(rang, zero)#ligne 0

fig.savefig('equationDuTemps.png', transparent=False, dpi=150)# Création image PNG 

plt.show()
